查看单个数据段
如需查看某个数据段,请使用 curators.dataSegments.get 方法。
以下示例向 API 端点发出 HTTP GET 请求,该端点会以指定的数据段进行响应。
curl API 调用示例
请求
curl \
'https://authorizedbuyersmarketplace.googleapis.com/v1beta/curators/[YOUR_ACCOUNT_ID]/dataSegments/test-data-segment-1?key=[YOUR_API_KEY]' \
--header 'Authorization: Bearer [YOUR_ACCESS_TOKEN]' \
--header 'Accept: application/json' \
--compressed
响应
{
"name": "curators/[YOUR_ACCOUNT_ID]/dataSegments/test-data-segment-1",
"createTime": "2025-08-13T12:14:03.421Z",
"updateTime": "2025-08-14T19:47:40.253938Z",
"cpmFee": {
"currencyCode": "USD",
"units": "1000000"
},
"state": "INACTIVE"
}
查看所有数据细分受众群的列表
如需查看所有数据细分受众群,请使用 curators.dataSegments.list 方法。
以下示例向 API 端点发出 HTTP GET 请求,该端点会返回指定内容提供者账号的所有数据段。
curl API 调用示例
请求
curl \
'https://authorizedbuyersmarketplace.googleapis.com/v1beta/curators/[YOUR_ACCOUNT_ID]/dataSegments?key=[YOUR_API_KEY]' \
--header 'Authorization: Bearer [YOUR_ACCESS_TOKEN]' \
--header 'Accept: application/json' \
--compressed
响应
{
"dataSegments": [
{
"name": "curators/[YOUR_ACCOUNT_ID]/dataSegments/test-data-segment-1",
"createTime": "2025-08-13T12:14:03.421Z",
"updateTime": "2025-08-14T20:05:51.439110Z",
"cpmFee": {
"currencyCode": "USD",
"units": "1"
},
"state": "INACTIVE"
},
{
"name": "curators/[YOUR_ACCOUNT_ID]/dataSegments/test-data-segment-2",
"createTime": "2025-08-14T17:45:08.744Z",
"updateTime": "2025-08-14T17:56:02.200619Z",
"cpmFee": {
"currencyCode": "USD",
"nanos": 50
},
"state": "ACTIVE"
}
]
}